Skip to main content
GET
/
vault
/
accounts
/
{vaultAccountId}
/
{assetId}
/
addresses_paginated
TypeScript
const response: Promise<FireblocksResponse<PaginatedAddressResponse>> = fireblocks.vaults.getVaultAccountAssetAddressesPaginated(vaultsApiGetVaultAccountAssetAddressesPaginatedRequest);
{
  "addresses": [
    {
      "assetId": "<string>",
      "address": "<string>",
      "description": "<string>",
      "tag": "<string>",
      "type": "<string>",
      "customerRefId": "<string>",
      "addressFormat": "SEGWIT",
      "legacyAddress": "<string>",
      "enterpriseAddress": "<string>",
      "bip44AddressIndex": 123,
      "userDefined": true
    }
  ],
  "paging": {
    "before": "<string>",
    "after": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

vaultAccountId
string<numeric>
required

The ID of the vault account to return

assetId
string
required

The ID of the asset

Query Parameters

limit
number
before
string
after
string

Response

A paginated list of addresses, and pagination info.

addresses
object[]
paging
object